/*
 *  serialBuffer.h
 *  
 *
 *  Created by Control Plus on Mon Aug 15 2005.
 *
 */

#include <stdio.h>
#include <pthread.h>
#include <unistd.h>
#include <termios.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <ctype.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/timeb.h>
#include <sys/time.h>
#include <stdlib.h>
#include <string.h>
#include <netdb.h>
#include <fcntl.h>
#include <errno.h>

#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>


#define kMaxBufferSize 512
#define YES 1
#define NO 0

typedef unsigned char Byte;

struct serialBuffer
{
	
	int port; // the actual serial port file descriptor
	int inputBufferPointer; // pointer to the current position in the rx buffer
	int inputBufferSize; //the total length of the input buffer
	Byte inputBuffer[kMaxBufferSize]; //the inputbuffer that holds the data received by the serial port
};

typedef struct serialBuffer serialBuffer;

speed_t baud_to_speed(int baud);
int OpenPort(const char *name,int baud,int timeout);
serialBuffer *newSerialBuffer(int port);
int getOneByte(Byte *data, serialBuffer *SB);


